Bug 1303614 - overcloud deployment failed AttributeError: 'Proxy' object has no attribute 'api' [NEEDINFO]
overcloud deployment failed AttributeError: 'Proxy' object has no attribute '...
Status: CLOSED WORKSFORME
Product: RDO
Classification: Community
Component: openstack-tripleo (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: trunk
Assigned To: James Slagle
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 07:59 EST by Yogev Rabl
Modified: 2017-06-18 02:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:13:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.brown: needinfo? (yrabl)


Attachments (Terms of Use)

  None (edit)
Description Yogev Rabl 2016-02-01 07:59:51 EST
Description of problem:
While attempting to install the overcloud the deployment failed before a stack was created with the following stack

2016-02-01 14:45:43.601 3661 DEBUG heatclient.common.http [ admin admin] curl -g -i -X GET -H 'X-Auth-Token: {SHA1}7e55e8cc436ef33eeab6bb804a0a8453af2eb9a9' -H 'Content-Type: application/json' -H 'X-Auth-Url: ht
tp://10.35.182.129:5000/v2.0' -H 'Accept: application/json' -H 'User-Agent: python-heatclient' http://10.35.182.129:8004/v1/e2ee36c839514a888720943337afb465/stacks/overcloud
2016-02-01 14:45:43.605 3661 INFO requests.packages.urllib3.connectionpool [ admin admin] Starting new HTTP connection (1): 10.35.182.129
2016-02-01 14:45:44.134 3661 DEBUG requests.packages.urllib3.connectionpool [ admin admin] "GET /v1/e2ee36c839514a888720943337afb465/stacks/overcloud HTTP/1.1" 404 598
2016-02-01 14:45:44.135 3661 DEBUG heatclient.common.http [ admin admin] 
HTTP/1.1 404 Not Found
date: Mon, 01 Feb 2016 12:45:44 GMT
connection: keep-alive
content-type: application/json; charset=UTF-8
content-length: 598
x-openstack-request-id: req-a22391df-bb14-4bf8-bf37-786c546add34

{"explanation": "The resource could not be found.", "code": 404, "error": {"message": "The Stack (overcloud) could not be found.", "traceback": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.7/site-packages/heat/common/context.py\", line 329, in wrapped\n    return func(self, ctx, *args, **kwargs)\n\n  File \"/usr/lib/python2.7/site-packages/heat/engine/service.py\", line 444, in identify_stack\n    raise exception.EntityNotFound(entity='Stack', name=stack_name)\n\nEntityNotFound: The Stack (overcloud) could not be found.\n", "type": "EntityNotFound"}, "title": "Not Found"}

2016-02-01 14:45:44.135 3661 INFO tripleoclient.v1.overcloud_deploy.DeployOvercloud [ admin admin] No stack found, will be doing a stack create
2016-02-01 14:45:44.136 3661 DEBUG tripleoclient.v1.overcloud_deploy.DeployOvercloud [ admin admin] Checking hypervisor stats
2016-02-01 14:45:44.136 3661 DEBUG keystoneauth.session [ admin admin] REQ: curl -g -i -X GET http://10.35.182.129:8774/v2/e2ee36c839514a888720943337afb465/os-hypervisors/statistics -H "User-Agent: python-novaclient" -H "Accept: application/json" -H "X-Auth-Token: {SHA1}7e55e8cc436ef33eeab6bb804a0a8453af2eb9a9"
2016-02-01 14:45:44.161 3661 DEBUG requests.packages.urllib3.connectionpool [ admin admin] "GET /v2/e2ee36c839514a888720943337afb465/os-hypervisors/statistics HTTP/1.1" 200 260
2016-02-01 14:45:44.162 3661 DEBUG keystoneauth.session [ admin admin] RESP: [200] date: Mon, 01 Feb 2016 12:45:44 GMT connection: keep-alive content-type: application/json content-length: 260 x-compute-request-id: req-01ab1c71-7d4b-4552-825a-f7ce95ae2179 
RESP BODY: {"hypervisor_statistics": {"count": 6, "vcpus_used": 0, "local_gb_used": 0, "memory_mb": 49152, "current_workload": 0, "vcpus": 24, "running_vms": 0, "free_disk_gb": 234, "disk_available_least": 234, "local_gb": 234, "free_ram_mb": 49152, "memory_mb_used": 0}}

2016-02-01 14:45:44.264 3661 DEBUG openstackclient.network.client [ admin admin] Connection: <openstack.connection.Connection object at 0x26e0050>
2016-02-01 14:45:44.264 3661 DEBUG openstackclient.network.client [ admin admin] Network client initialized using OpenStack SDK: <openstack.network.v2._proxy.Proxy object at 0x2902e50>
2016-02-01 14:45:44.264 3661 DEBUG tripleoclient.v1.overcloud_deploy.DeployOvercloud [ admin admin] Generating overcloud passwords
2016-02-01 14:45:44.266 3661 DEBUG tripleoclient.v1.overcloud_deploy.DeployOvercloud [ admin admin] Getting ctlplane from Neutron
2016-02-01 14:45:44.266 3661 ERROR openstack [ admin admin] 'Proxy' object has no attribute 'api'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 379, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 56, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 987, in take_action
    self._deploy_tripleo_heat_templates(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 333, in _deploy_tripleo_heat_templates
    parsed_args, network_client, stack)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 144, in _update_paramaters
    net = network_client.api.find_attr('networks', 'ctlplane')
AttributeError: 'Proxy' object has no attribute 'api'
2016-02-01 14:45:44.268 3661 DEBUG openstackclient.shell [ admin admin] clean_up DeployOvercloud: 'Proxy' object has no attribute 'api'
2016-02-01 14:45:44.269 3661 ERROR openstackclient.shell [ admin admin] Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 113, in run
    ret_val = super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 259, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 379, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 56, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 987, in take_action
    self._deploy_tripleo_heat_templates(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 333, in _deploy_tripleo_heat_templates
    parsed_args, network_client, stack)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 144, in _update_paramaters
    net = network_client.api.find_attr('networks', 'ctlplane')
AttributeError: 'Proxy' object has no attribute 'api'


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-1.0.1-dev41.el7.centos.noarch
openstack-tripleo-0.0.6-1.el7.noarch
openstack-tripleo-puppet-elements-1.0.1-dev22.el7.centos.noarch
tripleo-common-1.0.1-dev3.el7.centos.noarch
openstack-tripleo-image-elements-0.9.8-dev2.el7.centos.noarch
python-tripleoclient-0.0.11-3.el7.noarch
openstack-tripleo-heat-templates-1.0.1-dev41.el7.centos.noarch
openstack-heat-api-cfn-6.0.0.0b3-dev13.el7.centos.noarch
openstack-heat-engine-6.0.0.0b3-dev13.el7.centos.noarch
openstack-heat-templates-0.0.1-dev412.el7.centos.noarch
openstack-heat-common-6.0.0.0b3-dev13.el7.centos.noarch
openstack-heat-api-6.0.0.0b3-dev13.el7.centos.noarch
python-heatclient-0.8.1-dev108.el7.centos.noarch

How reproducible:
100%
Comment 2 Christopher Brown 2017-06-17 15:02:57 EDT
This looks old and should either be closed or updated is still a problem.

Note You need to log in before you can comment on or make changes to this bug.